Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite - v 1.12
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vividsolutions.jts.geom.util
Class GeometryEditor.NoOpGeometryOperation

    java.lang.Object
      com.vividsolutions.jts.geom.util.GeometryEditor.NoOpGeometryOperation

All Implemented Interfaces:
  GeometryEditor.GeometryEditorOperation

Enclosing class:
  GeometryEditor

    public static class GeometryEditor.NoOpGeometryOperation

extends java.lang.Object
implements GeometryEditor.GeometryEditorOperation

A GeometryEditorOperation which does not modify the input geometry. This can be used for simple changes of GeometryFactory (including PrecisionModel and SRID).

Author:
  mbdavis

Constructor Summary
`GeometryEditor.NoOpGeometryOperation()`

Method Summary
`Geometry` | `edit(Geometry geometry, GeometryFactory factory)` Edits a Geometry by returning a new Geometry with a modification.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GeometryEditor.NoOpGeometryOperation

    public GeometryEditor.NoOpGeometryOperation()

Method Detail

### edit

    public Geometry edit(Geometry geometry,
                         GeometryFactory factory)

  Description copied from interface: `GeometryEditor.GeometryEditorOperation`
  Edits a Geometry by returning a new Geometry with a modification. The returned Geometry might be the same as the Geometry passed in.

  Specified by:
    `edit` in interface `GeometryEditor.GeometryEditorOperation`
  Parameters:
    `geometry` - the Geometry to modify
    `factory` - the factory with which to construct the modified Geometry (may be different to the factory of the input geometry)
  Returns:
    a new Geometry which is a modification of the input Geometry

Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite - v 1.12
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD